<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="CDList">
    <HTML>
    <HEAD>
      <TITLE>List of CDs</TITLE>
    </HEAD>
    <BODY>
        <xsl:apply-templates select="CD"/>
    </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="CD">
    <P>
      <xsl:apply-templates select="composer"/>
      <xsl:apply-templates select="performance"/>
      <xsl:apply-templates select="publisher"/>
      <xsl:apply-templates select="number"/>
    </P>
  </xsl:template>

  <xsl:template match="composer">
    <B><xsl:apply-templates/></B>,
  </xsl:template>

  <xsl:template match="performance">
    <xsl:apply-templates select="composer"/>
    <xsl:apply-templates select="composition"/>
    <xsl:apply-templates select="soloist"/>
    <xsl:apply-templates select="../soloist"/>
    <xsl:apply-templates select="orchestra"/>
    <xsl:apply-templates select="../orchestra"/>
    <xsl:apply-templates select="conductor"/>
    <xsl:apply-templates select="../conductor"/>
    <xsl:apply-templates select="date"/>
    <xsl:apply-templates select="../date"/>
  </xsl:template>

  <xsl:template match="composition">
    <SPAN STYLE="color: blue"><xsl:value-of select="."/></SPAN>,
  </xsl:template>

  <xsl:template match="soloist">
    <I><xsl:value-of select="."/></I>,
  </xsl:template>

  <xsl:template match="orchestra">
    <SPAN STYLE="color: red"><xsl:value-of select="."/></SPAN>,
  </xsl:template>

  <xsl:template match="conductor">
    <SPAN STYLE="color: red; font-style: italic"><xsl:value-of select="."/></SPAN>.
  </xsl:template>

  <xsl:template match="date">
    (<xsl:value-of select="."/>)
  </xsl:template>

  <xsl:template match="publisher">
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="number">
    [<xsl:value-of select="."/>]
  </xsl:template>

</xsl:stylesheet>
